# Class AbstractElementVisitor7<R,P>

java.lang.Object
javax.lang.model.util.AbstractElementVisitor6<R,P>
javax.lang.model.util.AbstractElementVisitor7<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `ElementVisitor<R,P>`

Direct Known Subclasses:
  `AbstractElementVisitor8`

@SupportedSourceVersion(RELEASE_7) public abstract class AbstractElementVisitor7<R,P> extends AbstractElementVisitor6<R,P>
A skeletal visitor of program elements with default behavior appropriate for the `RELEASE_7` source version.

Since:
  1.7
See Also:
  - Compatibility note for subclasses
  - `AbstractElementVisitor6`
  - `AbstractElementVisitor8`
  - `AbstractElementVisitor9`
  - `AbstractElementVisitor14`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractElementVisitor7()`
  Deprecated.
  Release 7 is obsolete; update to a visitor for a newer release level.

- ## Method Summary

  ### Methods declared in class AbstractElementVisitor6

  `visit, visit, visitModule, visitRecordComponent, visitUnknown`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface ElementVisitor

  `visitExecutable, visitPackage, visitType, visitTypeParameter, visitVariable`

- ## Constructor Details

  - ### AbstractElementVisitor7

    @Deprecated(since="12") protected AbstractElementVisitor7()
    Deprecated.
    Release 7 is obsolete; update to a visitor for a newer release level.
    Constructor for concrete subclasses to call.